uses graph;

const zoom = 100;

var x,y,w    : Real;
    grDriver : Integer;
    grMode   : Integer;
    I,J : Integer;
    Color : Byte;


function f(x,y : real):real;
begin
     f:=4*x*x+4*x*y+6*y*y-17*x;
end;

begin
     w := 1/zoom;

     grDriver := Detect;
     InitGraph(grDriver,grMode,'');

     For I := 0 To GetMaxX Do
     Begin
          For J := 0 To GetMaxY Do
          Begin
               X := (I-GetMaxX/2)/zoom; 
               Y := (J-GetMaxY/2)/zoom; 

               Color := Round(f(x,y));

               If ((X > -w) And (X < w))
               Or ((Y > -w) And (Y < w))
               Then Color := 0;

               PutPixel(I,GetMaxY-J,Color); 
          End;
     End;
     readln;
     CloseGraph;

end.